Zum Hauptinhalt springen
GET
/
public
/
v1
/
segment-service
/
segments
/
{segment-id}
/
signed-url
Get upload users signed url for a segment.
curl --request GET \
  --url https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/signed-url \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/signed-url"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment-id}/signed-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

segment-id
string
erforderlich

The ID of the segment.

Abfrageparameter

action
enum<string>
Standard:add

The action to perform on the segment. Possible values are 'add', 'remove', or 'replace'. The 'replace' action will first remove all existing users from the segment before adding the new ones.

Verfügbare Optionen:
add,
remove,
replace

Antwort

Successful Response

url
string<uri>
erforderlich

The presigned URL.

Required string length: 1 - 2083